Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the phone number to retrieve.

Example:

"pn_01jsjwe4d9fx3tpymgtg958d9w"

Response

Phone number

A phone number that can be used to send and receive messages and calls

campaign
PhoneNumberCampaign · object | null
required

Campaign attachment details for domestic local numbers, or null for other types of numbers and local numbers without a campaign

Example:
campaign_id
string | null
required
deprecated

Deprecated. The unique identifier of the campaign this phone number is attached to, if any

id
string
required

Unique identifier for the phone number

name
string | null
required

A human-readable name for the phone number

number
string<phone-number>
required

The phone number in E.164 format

Pattern: ^\+[1-9]\d{6,14}$
Example:

"+18015551234"

type
enum<string>
required

Whether the phone number is local, toll-free, or short code

Available options:
local,
short_code,
toll_free